curl --request POST \
--url https://api.firecrawl.dev/v2/monitor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"goal": "Notify me when docs pages add, remove, or materially change API behavior",
"name": "Docs monitor",
"schedule": {
"cron": "7-59/15 * * * *",
"timezone": "UTC"
},
"targets": [
{
"crawlOptions": {
"limit": 100
},
"type": "crawl",
"url": "https://example.com/docs"
}
],
"webhook": {
"events": [
"monitor.page",
"monitor.check.completed"
],
"url": "https://example.com/webhooks/firecrawl"
}
}
'{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimatedCreditsPerMonth": 123,
"goal": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeEnabled": true,
"lastCheckSummary": {
"changed": 123,
"error": 123,
"new": 123,
"removed": 123,
"same": 123,
"totalPages": 123
},
"lastRunAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"notification": {
"email": {
"enabled": false,
"includeDiffs": false,
"recipients": [
"jsmith@example.com"
]
}
},
"retentionDays": 123,
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"status": "active",
"targets": [
{
"type": "scrape",
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"actions": [
{
"milliseconds": 2,
"type": "wait"
}
],
"auditMetadata": {
"username": "<string>"
},
"blockAds": true,
"checkPromptInjection": false,
"excludeTags": [
"<string>"
],
"formats": [
{
"type": "markdown"
}
],
"headers": {},
"includeTags": [
"<string>"
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"lockdown": false,
"maxAge": 172800000,
"minAge": 123,
"mobile": false,
"onlyCleanContent": false,
"onlyMainContent": true,
"parsers": [
"pdf",
"image"
],
"profile": {
"name": "<string>",
"saveChanges": true
},
"proxy": "auto",
"redactPII": false,
"removeBase64Images": true,
"skipTlsVerification": true,
"storeInCache": true,
"threatProtection": {
"blacklist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"failurePolicy": "open",
"mode": "off",
"riskScoreThreshold": 75,
"whitelist": [
"<string>"
]
},
"timeout": 60000,
"waitFor": 0
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"webhook": {
"url": "<string>",
"events": [
"monitor.page"
],
"headers": {},
"metadata": {}
}
},
"success": true
}Points de terminaison de surveillance
Créer un Monitor
POST
/
monitor
curl --request POST \
--url https://api.firecrawl.dev/v2/monitor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"goal": "Notify me when docs pages add, remove, or materially change API behavior",
"name": "Docs monitor",
"schedule": {
"cron": "7-59/15 * * * *",
"timezone": "UTC"
},
"targets": [
{
"crawlOptions": {
"limit": 100
},
"type": "crawl",
"url": "https://example.com/docs"
}
],
"webhook": {
"events": [
"monitor.page",
"monitor.check.completed"
],
"url": "https://example.com/webhooks/firecrawl"
}
}
'{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"currentCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimatedCreditsPerMonth": 123,
"goal": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"judgeEnabled": true,
"lastCheckSummary": {
"changed": 123,
"error": 123,
"new": 123,
"removed": 123,
"same": 123,
"totalPages": 123
},
"lastRunAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"notification": {
"email": {
"enabled": false,
"includeDiffs": false,
"recipients": [
"jsmith@example.com"
]
}
},
"retentionDays": 123,
"schedule": {
"cron": "<string>",
"timezone": "<string>"
},
"status": "active",
"targets": [
{
"type": "scrape",
"urls": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scrapeOptions": {
"actions": [
{
"milliseconds": 2,
"type": "wait"
}
],
"auditMetadata": {
"username": "<string>"
},
"blockAds": true,
"checkPromptInjection": false,
"excludeTags": [
"<string>"
],
"formats": [
{
"type": "markdown"
}
],
"headers": {},
"includeTags": [
"<string>"
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"lockdown": false,
"maxAge": 172800000,
"minAge": 123,
"mobile": false,
"onlyCleanContent": false,
"onlyMainContent": true,
"parsers": [
"pdf",
"image"
],
"profile": {
"name": "<string>",
"saveChanges": true
},
"proxy": "auto",
"redactPII": false,
"removeBase64Images": true,
"skipTlsVerification": true,
"storeInCache": true,
"threatProtection": {
"blacklist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"failurePolicy": "open",
"mode": "off",
"riskScoreThreshold": 75,
"whitelist": [
"<string>"
]
},
"timeout": 60000,
"waitFor": 0
}
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"webhook": {
"url": "<string>",
"events": [
"monitor.page"
],
"headers": {},
"metadata": {}
}
},
"success": true
}Autorisations
Corps
application/json
Objectif en langage naturel utilisé pour évaluer si les pages modifiées sont pertinentes. S’il est fourni et que judgeEnabled est omis, l’évaluation est activée automatiquement. Obligatoire (non vide) lorsqu’une cible est de type search, sauf si judgeEnabled est false.
Maximum string length:
2000
